Name:          theli
Version:       1.9.5
Release:       %mkrel 5
Summary:       A pipeline for the automated reduction of astronomical images
License:       GPLv2+
Group:         Sciences/Astronomy

URL:           http://www.astro.uni-bonn.de/theli/
Source0:       http://www.astro.uni-bonn.de/theli/gui/download/theli-%{version}.tgz


#force our compilation options to be propagated through OPTFLAGS
Patch0:        theli-1.9.5-optflags.patch

#...then fix the triggered security errors (arg!)
Patch1:        imcattool-041903-fprintf.patch
Patch2:        swarp-2.19.1-fprintf.patch
Patch3:        sex-2.5.0-fprintf.patch
Patch4:        smalltools-1.9.5-fprintf.patch

#configuration scripts test for their presence
BuildRequires: scamp
BuildRequires: cdsclient
BuildRequires: python-astropy
BuildRequires: python-matplotlib
BuildRequires: python-numpy

Requires:      scamp
Requires:      cdsclient
Requires:      python-astropy
Requires:      python-matplotlib
Requires:      python-numpy

%description
This version is suitable for survey work, i.e. you have a very large
number of different pointings taken with the same optical
instrument. Contrary to the GUI, it can be run in batch mode, and also
on a Linux cluster. The scripts are mainly optimised for blank fields,
and they need to be configured manually to suit the data for your
instrument.

%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig
%patch3 -p1 -b .orig
%patch4 -p1 -b .orig


%build
cd pipesetup 
export OPTFLAGS="%{optflags}"
./install.sh -m 'ALL'

%install
%__mkdir_p %{buildroot}%{_bindir}
%__mv bin/Linux*/* %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
%__mv airmass airmass.theli
%__rm -f ldactoasc
%__rm -f readlink
popd

%__mkdir_p %{buildroot}%{_datadir}/theli/scripts
%__mv scripts/Linux*/* %{buildroot}%{_datadir}/theli/scripts

%files
%{_datadir}/theli/scripts
%{_bindir}/*



%changelog
* Thu Oct 27 2016 eatdirt <eatdirt> 1.9.5-5.mga6
+ Revision: 1063742
- Trading dependency from pytfits to astropy
- Unobsoleting theli.

  + akien <akien>
    - Obsolete the unmaintained stsci python stack

* Mon Feb 01 2016 umeabot <umeabot> 1.9.5-4.mga6
+ Revision: 929715
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.5-3.mga5
+ Revision: 747544
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 eatdirt <eatdirt> 1.9.5-1.mga5
+ Revision: 642306
- Upgrade to version 1.9.5

* Mon Oct 21 2013 umeabot <umeabot> 1.7.6-3.mga4
+ Revision: 539065
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 joequant <joequant> 1.7.6-2.mga4
+ Revision: 491294
- remove dot on summary

* Fri Oct 04 2013 joequant <joequant> 1.7.6-1.mga4
+ Revision: 491289
- remove dot from summary
- imported package theli

